Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021895
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2012-10-10 11:592012-11-21 06:06
ReportercaristuView Statuspublic 
Assigned ToioritzCia 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision531ae77d6e5d
ProjectionnoneETAnoneTarget Version3.0MP18
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021895: Create Invoice From PO should show a warning message

DescriptionWhen using the Create Lines From PO to create an invoice from a purchase order and a goods receipt is related to that order, a warning message should be displayed because the quantities that are going to be invoiced are the ones that are present in the goods receipt.
Steps To Reproduce1) Create a purchase order with 3 lines with different quantities, for example 6,12 and 18

2) Do a goods receipt via pending goods receipt for each line and quantity of each line just 1.

3) Create a purchase invoice header, create lines from purchase order and select all lines.

4) Realize that only receipt quantities are copied.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0030873 newTriage Finance It would be fine to be able to invoice all the quantity of a partially received purchase order with Create Lines From process 

-  Notes
(0054159)
hgbot (developer)
2012-11-12 12:52

Repository: erp/devel/pi
Changeset: 531ae77d6e5d900b9c5d13127ca416a7ca881517
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Tue Nov 06 17:54:19 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/531ae77d6e5d900b9c5d13127ca416a7ca881517 [^]

Fixes issue 21895: Create Invoice From PO should show a warning message.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
---
(0054296)
caristu (developer)
2012-11-16 14:49

Verified
(0054359)
hudsonbot (developer)
2012-11-21 06:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c3c5e61b0164 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-10-10 11:59 caristu New Issue
2012-10-10 11:59 caristu Assigned To => dmiguelez
2012-10-10 11:59 caristu Modules => Core
2012-10-10 12:16 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-10-20 08:43 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-11-02 14:53 ioritzCia Target Version 3.0MP17 => 3.0MP18
2012-11-06 15:43 jonalegriaesarte Priority urgent => immediate
2012-11-06 18:00 ioritzCia Status new => scheduled
2012-11-06 18:00 ioritzCia fix_in_branch => pi
2012-11-12 12:52 hgbot Checkin
2012-11-12 12:52 hgbot Note Added: 0054159
2012-11-12 12:52 hgbot Status scheduled => resolved
2012-11-12 12:52 hgbot Resolution open => fixed
2012-11-12 12:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/531ae77d6e5d900b9c5d13127ca416a7ca881517 [^]
2012-11-16 14:49 caristu Review Assigned To => caristu
2012-11-16 14:49 caristu Note Added: 0054296
2012-11-16 14:49 caristu Status resolved => closed
2012-11-21 06:06 hudsonbot Checkin
2012-11-21 06:06 hudsonbot Note Added: 0054359
2015-09-18 14:03 ngarcia Relationship added related to 0030873


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker